Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.jdbc
Class PSCacheConnectionPool

    java.lang.Object
      |
      +--org.apache.commons.pool.BaseKeyedObjectPool
            |
            +--org.apache.commons.pool.impl.GenericKeyedObjectPool
                  |
                  +--com.solarmetric.rd.jdbc.ConfigurableConnectionPool
                        |
                        +--com.solarmetric.rd.jdbc.PSCacheConnectionPool

All Implemented Interfaces:
  ConnectionPool, org.apache.commons.pool.KeyedObjectPool, org.apache.commons.pool.KeyedPoolableObjectFactory

public class PSCacheConnectionPool
extends ConfigurableConnectionPool

Pools connections that cache prepared statements internally. In addition to the configuration properties recognized by the `ConfigurableConnectionPool`, recognizes the following properties:

- MaxCachedStatements

See Also:
  `PreparedStatementCache`

Field Summary

Fields inherited from class org.apache.commons.pool.impl.GenericKeyedObjectPool
`_activeMap, _evictor, _factory, _maxActive, _maxIdle, _maxWait, _minEvictableIdleTimeMillis, _numTestsPerEvictionRun, _poolList, _poolMap, _testOnBorrow, _testOnReturn, _testWhileIdle, _timeBetweenEvictionRunsMillis, _totalActive, _totalIdle, _whenExhaustedAction, DEFAULT_MAX_ACTIVE, DEFAULT_MAX_IDLE, DEFAULT_MAX_WAIT, DEFAULT_MIN_EVICTABLE_IDLE_TIME_MILLIS, DEFAULT_NUM_TESTS_PER_EVICTION_RUN, DEFAULT_TEST_ON_BORROW, DEFAULT_TEST_ON_RETURN, DEFAULT_TEST_WHILE_IDLE, DEFAULT_TIME_BETWEEN_EVICTION_RUNS_MILLIS, DEFAULT_WHEN_EXHAUSTED_ACTION, WHEN_EXHAUSTED_BLOCK, WHEN_EXHAUSTED_FAIL, WHEN_EXHAUSTED_GROW`

Constructor Summary
`PSCacheConnectionPool()`

Method Summary
`int` | `getMaxCachedStatements()`
`void` | `passivateObject(java.lang.Object key, java.lang.Object value)`
`void` | `setMaxCachedStatements(int max)`
`protected java.sql.Connection` | `wrapConnection(java.sql.Connection datastoreConn)` Decorate the given connection if desired.

Methods inherited from class com.solarmetric.rd.jdbc.ConfigurableConnectionPool
`activateObject, addJDBCListener, close, destroyObject, getConnection, getDataSource, getTestOnReturn, getTimeBetweenConnectionValidationsMillis, getTransactionIsolation, getValidationSQL, makeObject, removeJDBCListener, returnConnection, setDataSource, setQueryTimeout, setTestOnReturn, setTimeBetweenConnectionValidationsMillis, setTransactionIsolation, setTransactionIsolationLevel, setValidationSQL, validateObject`

Methods inherited from class org.apache.commons.pool.impl.GenericKeyedObjectPool
`borrowObject, clear, clear, getMaxActive, getMaxIdle, getMaxWait, getMinEvictableIdleTimeMillis, getNumActive, getNumActive, getNumIdle, getNumIdle, getNumTestsPerEvictionRun, getTestOnBorrow, getTestWhileIdle, getTimeBetweenEvictionRunsMillis, getWhenExhaustedAction, returnObject, setConfig, setFactory, setMaxActive, setMaxIdle, setMaxWait, setMinEvictableIdleTimeMillis, setNumTestsPerEvictionRun, setTestOnBorrow, setTestWhileIdle, setTimeBetweenEvictionRunsMillis, setWhenExhaustedAction`

Methods inherited from class org.apache.commons.pool.BaseKeyedObjectPool
`numActive, numActive, numIdle, numIdle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSCacheConnectionPool

    public PSCacheConnectionPool()

Method Detail

### getMaxCachedStatements

    public int getMaxCachedStatements()

### setMaxCachedStatements

    public void setMaxCachedStatements(int max)

### passivateObject

    public void passivateObject(java.lang.Object key,
                                java.lang.Object value)

  Specified by:
    `passivateObject` in interface `org.apache.commons.pool.KeyedPoolableObjectFactory`
  Overrides:
    `passivateObject` in class `ConfigurableConnectionPool`

### wrapConnection

    protected java.sql.Connection wrapConnection(java.sql.Connection datastoreConn)
                                          throws java.sql.SQLException

  Description copied from class: `ConfigurableConnectionPool`
  Decorate the given connection if desired.

  Overrides:
    `wrapConnection` in class `ConfigurableConnectionPool`
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.